/* Base layout */
html,
body {
    width: 100%;
    overflow-x: hidden;
    margin: 0;
    padding: 0;
}

body {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background: #fff;
    color: #333;
    font-family: "Inter", sans-serif;
}

/* Links */
a {
    text-decoration: none;
}

/* Main container */
.registration-page-wrapper {
    flex: 1;
    width: 100%;
    max-width: 500px;
    text-align: center;
    box-sizing: border-box;
}

.form-header {
    background-color: #550000;
    color: #ffffff;
    padding: 35px 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    border-bottom-left-radius: 25px !important;
    border-bottom-right-radius: 25px !important;
}

.form-header h1 {
    margin: 0;
    font-size: 20px;
    color: #fff;
    font-weight: 600;
    text-align: center;
    flex-grow: 1;
}

/* Header / Logo */
.success-icon-container img {
    display: block;
    width: 80%;
    margin: 0 auto;
}

.complete-main-content h1 {
    color: #343a40;
    font-size: 1.5rem;
    font-weight: 500;
    margin-bottom: 1rem;
    margin-top: 4rem;
}

.complete-main-content p {
    color: #555;
    font-size: 1rem;
    margin-top: 0;
    margin-bottom: 2rem;
}

/* Form Card */
.form-card {
    background: #fff;
    border-radius: 15px;
    padding: 2rem;
}

/* Form Groups */
.form-group {
    text-align: left;
    margin-bottom: 1.5rem;
}

.form-group label {
    display: block;
    font-size: 0.9rem;
    font-weight: 500;
    margin-bottom: 0.5rem;
    /* color: #333; */
}

.form-control {
    width: 100%;
    padding: 1rem;
    border: 1px solid #ccc;
    border-radius: 10px;
    font-size: 1rem;
    line-height: 24px;
    box-sizing: border-box;
    transition: border-color 0.3s ease, box-shadow 0.3s ease;
}

.form-control:focus {
    border-color: #550000;
    outline: none;
    box-shadow: 0 0 0 2px rgba(245, 167, 38, 0.2);
}

.form-select {
    width: 100%;
    padding: 1rem;
    border: 1px solid #ccc;
    border-radius: 10px;
    font-size: 1rem;
    line-height: 24px;
    box-sizing: border-box;
    transition: border-color 0.3s ease, box-shadow 0.3s ease;
}

.form-select:focus {
    border-color: #550000;
    outline: none;
    box-shadow: 0 0 0 2px rgba(245, 167, 38, 0.2);
}

/* Buttons */
.btn {
    display: block;
    width: 100%;
    border: none;
    border-radius: 10px;
    padding: 1rem;
    line-height: 24px;
    font-weight: 500;
    font-size: 1rem;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

/* Sign In Button */
.register-btn {
    background-color: #550000;
    color: #fff;
}

.register-btn:hover {
    background-color: #550000;
    color: #fff;
}

/* Create account link */
.create-account {
    font-size: 0.85rem;
    color: #555;
    margin-top: 1rem;
}

.create-account a.color--theme {
    color: #550000;
    font-weight: 500;
}

.create-account a.color--theme:hover {
    color: #cc8a20;
}

/* Footer */
.footer {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
    width: 100%;
    text-align: center;
    padding: 1rem 0;
    background: transparent;
    font-size: 0.8rem;
    position: relative;
    bottom: auto;
    /* margin-top: 2rem; */
}

.footer-left {
    display: flex;
    align-items: center;
}

.footer a {
    text-decoration: none;
    color: #000;
}

.footer-left a {
    margin: 0 0.5rem;
}

.footer a:hover {
    color: #550000;
}
